import { handle } from '../../index'

const suffix = 'api'

// 获取登录验证码图片
export const captchaImage = (params: any) => handle({
  url: `/${suffix}/captchaImage`,
  method: 'get',
  params
})

export const login = (params: any) => handle({
  url: `/${suffix}/login`,
  method: 'post',
  params,
})

// 校验用户信息并短信验证码发送
export const systemSmsValidaInfoAndSend = (params: any) => handle({
  url: `/${suffix}/system/sms/ValidaInfoAndSend`,
  method: 'post',
  params
})

// 短信验证码校验
export const systemSmsCodeCheck = (params: any) => handle({
  url: `/${suffix}/system/sms/codeCheck`,
  method: 'get',
  params
})
// 找回密码---修改为新密码
export const systemMailInsertNewPass = (params: any) => handle({
  url: `/${suffix}/system/mail/insertNewPass`,
  method: 'post',
  params
})

// 获取路由
export const getRoutes = () => handle({
  // url: `/mock-api/getRouters`,
  url: `/${suffix}/getRouters`,
  method: 'get',
})

// 获取用户信息
export const getUserInfo = () => handle({
  url: `/${suffix}/getInfo`,
  method: 'get',
})

// 获取参数配置列表
export const getParameterList = params => handle({
  url: `/${suffix}/system/config/list`,
  method: 'getjson',
  params
})

// 上传图片
export const uploadPicOnly = params => handle({
  url: `/${suffix}/common/upload/image`,
  method: 'post',
  params,
  contentType: 'application/x-www-form-urlencoded'
})

// 上传文件
export const uploadFile = (params: any) => handle({
  url: `/${suffix}/common/upload`,
  method: 'post',
  params,
  contentType: 'application/x-www-form-urlencoded'
})

// 用户登出(传目标用户token)
export const logoutByTokens = (params: any) => handle({
  url: `/${suffix}/user/online/logout`,
  method: 'getjson',
  params
})

// 用户退出
export const logout = () => handle({
  url: `/${suffix}/user/online/logout2`,
  method: 'getjson',
})

// 修改用户信息
export const systemUserProfile = (params: any) => handle({
  url: `/${suffix}/system/user/profile`,
  method: 'put',
  params
})

// 修改密码
export const systemUserProfileUpdatePwd = (params: any) => handle({
  url: '/api/system/user/profile/updatePwd',
  method: 'put',
  params
})
