import { handle } from '../../index'

const suffix = 'api'

// 预警新消息中心点击获取详情
export const getWarningInfo = (params: any) => handle({
  url: `/${suffix}/warning/record/getWarningInfo/${params.type}/${params.recordId}`,
  method: 'get',
})
// 获取消息中心预警数量
export const getHistoryMessagePageList = (params: any) => handle({
  url: `/${suffix}/prevention/message/pageList`,
  method: 'post',
  params
})
// 预警新消息中心人员盗用获取坐标等信息
export const getldentityTheftList = (params: any) => handle({
  url: `/${suffix}/warning/person/getIdentityTheftList/${params}`,
  method: 'get',
})

// 新消息中心聚合列表获取
export const getAggregation = (params: any) => handle({
  url: `/${suffix}/prevention/message/aggregation`,
  method: 'post',
  params
})
// 新消息中心 > 获取历史数据数量
export const getHistoryMessageNumber = (params: any) => handle({
  url: `/${suffix}/prevention/message/statisticsMessage`,
  method: 'post',
  params
})
// 预警点击获取预警区域坐标信息
export const getIndexWarningArea = (params: any) => handle({
  url: `/${suffix}/warning/ship/getWarningArea`,
  method: 'post',
  params
})


// 消息中心 > 列表
export const getMessageList = (params: any) => handle({
  url: `/${suffix}/prevention/messageCenter/list`,
  method: 'getjson',
  params
})
// 消息中心 > 查看未读
export const queryUnReadMessage = (params: any) => handle({
  url: `/${suffix}/prevention/messageCenter/queryUnReadMessage?userId=${params}`,
  method: 'get'
})

// 消息中心 > 一键已读
export const allRead = (params: any) => handle({
  url: `/${suffix}/prevention/messageCenter/allRead`,
  method: 'post',
  params
})

// 消息中心 > 一键清空
export const allDelete = (params: any) => handle({
  url: `/${suffix}/prevention/messageCenter/allDel`,
  method: 'post',
  params
})

//单条消息是否已读
export const isRead = (params: any) => handle({
  url: `/${suffix}/prevention/messageCenter/read`,
  method: 'post',
  params
})


// 首页新预警列表 -- 船舶按对象列表
export const getWarningShipListObj = (params: any) => handle({
  url: `/${suffix}/warning/ship/homeAggList`,
  method: 'post',
  params
})
// 首页新预警列表 -- 船舶按事件列表
export const getWarningShipList = (params: any) => handle({
  url: `/${suffix}/warning/ship/homeList`,
  method: 'post',
  params
})


// 首页新预警列表 -- 组合预警列表
export const getWarningMultipleList = (params: any) => handle({
  url: `/${suffix}/warning/multiple/homeList`,
  method: 'post',
  params
})

// 首页新预警列表 -- 组合预警列表详情-按事件
export const getWarningMultipleTargetList= (params: any) => handle({
  url: `/${suffix}/warning/multiple/targetList`,
  method: 'getjson',
  params
})

// 首页新预警列表 -- 获取组合预警车辆抓拍个数

export const getCarCount= (params: any) => handle({
  url: `/${suffix}/warning/multiple/getCarCount/${params}`,
  method: 'get',
})

// 首页新预警列表 -- 
export const getWarningMultipleTargetAggList= (params: any) => handle({
  url: `/${suffix}/warning/multiple/targetAggList/${params}`,
  method: 'get',
})
// 首页新预警列表 -- 人员预警按事件
export const getMessagePageListPerson= (params: any) => handle({
  url: `/${suffix}/prevention/message/pageList/person`,
  method: 'post',
  params
})
// 首页新预警列表 -- 人员预警按对象
export const getMessageAggregationPerson= (params: any) => handle({
  url: `/${suffix}/prevention/message/aggregation/person`,
  method: 'post',
  params
})
// 首页新预警列表 -- 车辆预警按事件
export const getMessagePageListCar= (params: any) => handle({
  url: `/${suffix}/prevention/message/pageList/car`,
  method: 'post',
  params
})
// 首页新预警列表 -- 车辆预警按对象
export const getMessageAggregationCar= (params: any) => handle({
  url: `/${suffix}/prevention/message/aggregation/car`,
  method: 'post',
  params
})
