import RouterViewCom from "@/layout/router-view.vue";
import LayoutCom from '@/layout/index.vue'
import homeBarImage from '@/assets/images/menu/homebar.png';
import homeBarActiveImage from '@/assets/images/menu/homebar_active.png';
import mapBarImage from '@/assets/images/menu/mapbar.png';
import mapBarActiveImage from '@/assets/images/menu/mapbar_active.png';
import workBarImage from '@/assets/images/menu/workbar.png';
import workBarActiveImage from '@/assets/images/menu/workbar_active.png';
import mineBarImage from '@/assets/images/menu/minebar.png';
import mineBarActiveImage from '@/assets/images/menu/minebar_active.png';

// 不需要菜单管理配置的路由
const staticRouter = [
  {
    path: '/',
    name: 'root', // 菜单根路由name标识
    component: LayoutCom,
    redirect: '/home',
    children: [
      {
        path: 'home',
        name: 'home',
        component: () => import('@/views/home/index.vue'),
        meta: {
          title: '首页',
          isMenu: true,
          menuIcon: homeBarImage,
          menuActiveIcon: homeBarActiveImage,
          noTitle: true,
        }
      },
      {
        path: 'map',
        name: 'map',
        component: () => import('@/views/map/index.vue'),
        meta: {
          title: '政务地图',
          isMenu: true,
          menuIcon: mapBarImage,
          menuActiveIcon: mapBarActiveImage
        }
      },
      {
        path: 'work',
        name: 'work',
        component: () => import('@/views/work/index.vue'),
        meta: {
          title: '我要办事',
          isMenu: true,
          menuIcon: workBarImage,
          menuActiveIcon: workBarActiveImage
        }
      },
      {
        path: 'mine',
        name: 'mine',
        component: () => import('@/views/mine/index.vue'),
        meta: {
          title: '我的',
          isMenu: true,
          menuIcon: mineBarImage,
          menuActiveIcon: mineBarActiveImage
        }
      },
    ]
  },
]
export default staticRouter
